﻿using LogicNodesSDK.Logic.Examples;
using NUnit.Framework;
using LogicModule.ObjectModel;
using LogicModule.Nodes;
using LogicModule.Nodes.TestHelper;

namespace ExampleNodesTest
{
  [TestFixture]
  public class BasicNodeTest
  {
    [Test]
    public void ForwardValueTest()
    {
      INodeContext context = TestNodeContext.Create();
      var node = new BasicNode(context);

      node.Input.Value = 0.0;
      node.Execute();
      Assert.AreEqual(0.0, node.Output.Value);

      node.Input.Value = -10.0;
      node.Execute();
      Assert.AreEqual(-10.0, node.Output.Value);
                                                
      node.Input.Value = 10.0;
      node.Execute();
      Assert.AreEqual(10.0, node.Output.Value);
    }
  }
}
